This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 887918 - Event notification : Add ability to subscribe to event notification related to Highly available VM crash.
Event notification : Add ability to subscribe to event notification related t...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-notification-service (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: ofri
Tareq Alayan
sla
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-17 10:44 EST by Tareq Alayan
Modified: 2016-02-10 15:18 EST (History)
8 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tareq Alayan 2012-12-17 10:44:51 EST
Description of problem:
There is no way to subscribe to notification regarding HA vm in the following events through the UI(they don't exist):
1. Alert that the highly available virtual machine failed, and it will be restarted.
2. Alert in case the restart fails.

Version-Release number of selected component (if applicable):
rhevm-3.1.0-33.el6ev.noarch


Additional info:
Need to add notification events related to HA so the administrator can subscribe to them.
Comment 1 Doron Fediuck 2012-12-26 08:47:49 EST
(In reply to comment #0)
> 1. Alert that the highly available virtual machine failed, and it will be
> restarted.

Correlates to HA_VM_FAILED (currently logged only).

> 2. Alert in case the restart fails.

Correlates to HA_VM_RESTART_FAILED (currently logged only). 

Note that there is no ending event (down event) for these cases.
Comment 2 ofri 2012-12-27 02:49:38 EST
Need info: Oved, please take a look at this bug. It seems like it was submitted at the same time you have merged your patch. Does your patch solves this issue?
Comment 3 Oved Ourfali 2012-12-27 02:53:34 EST
(In reply to comment #2)
> Need info: Oved, please take a look at this bug. It seems like it was
> submitted at the same time you have merged your patch. Does your patch
> solves this issue?

Yes.
Fixed in http://gerrit.ovirt.org/#/c/10162/

Commit: a0180e3ccda82f060cd3f08a84f551cdd029b6b7

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=a0180e3ccda82f060cd3f08a84f551cdd029b6b7

Moving bug to POST.
Comment 4 Tareq Alayan 2013-02-18 15:45:52 EST
They exist in the UI and user can subscribe to them. 
Highly-Available VM restart failed
Highly-Available VM failed
Comment 5 Itamar Heim 2013-06-11 04:43:19 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:43:20 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:43:22 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 04:50:11 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.